Bug 200177 - add -x --exclude shorthand to yum
add -x --exclude shorthand to yum
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-25 17:48 EDT by Nicolas Mailhot
Modified: 2014-01-21 17:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 18:05:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2006-07-25 17:48:44 EDT
Description of problem:

When rawhide is increadibly broken just before a test release yum needs long
lists of --excludes to update it.

When I write them late in the evening I always end up with many typoes in one or
more excludes.

For people with exclude-spelling defficiency like me a -x shorthand would be great

Version-Release number of selected component (if applicable):

yum-2.9.3-1

Paul Nasrat suggests the following patch:
Index: cli.py
===================================================================
RCS file: /home/groups/yum/cvs/yum/cli.py,v
retrieving revision 1.222
diff -u -u -r1.222 cli.py
--- cli.py      11 Jul 2006 18:35:13 -0000      1.222
+++ cli.py      25 Jul 2006 21:26:08 -0000
@@ -143,7 +143,7 @@
                 type='string', callback=repo_optcb, dest='repos', default=[],
                 help="disable one or more repositories (wildcards allowed)",
                 metavar='[repo]')
-        self.optparser.add_option("", "--exclude", dest="exclude", default=[], 
+        self.optparser.add_option("-x", "--exclude", dest="exclude", default=[], 
                 action="append", help="exclude package(s) by name or glob",
                 metavar='[package]')
         self.optparser.add_option("", "--obsoletes", dest="obsoletes"
Comment 1 Nicolas Mailhot 2006-07-25 18:05:46 EDT
Moving bug to upstream BZ
https://devel.linux.duke.edu/bugzilla/show_bug.cgi?id=632

Note You need to log in before you can comment on or make changes to this bug.